Bug 1315243 - Enable spoofchk control for SR-IOV ports
Enable spoofchk control for SR-IOV ports
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
All Linux
unspecified Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Assaf Muller
Toni Freger
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-07 05:56 EST by Jaison Raju
Modified: 2017-01-16 13:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-16 13:46:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2086033 None None None 2016-03-10 01:56 EST
OpenStack gerrit 192065 None None None 2017-01-16 13:46 EST

  None (edit)
Description Jaison Raju 2016-03-07 05:56:28 EST
1. Proposed title of this feature request  
      Enable spoofchk control for SR-IOV ports      

    3. What is the nature and description of the request?
Allow user to control the spoofchk status on VF used by SRIOV based ports.
https://review.openstack.org/#/c/182593/5/specs/liberty/sriov-spoofchk.rst
      
    4. Why does the customer need this? (List the business requirements here)  
Need SRIOV ports to have mac spoofing disabled to allow VIPs in instances or
in scenarios of bonding
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      https://blueprints.launchpad.net/neutron/+spec/sriov-spoofchk
Comment 4 Assaf Muller 2017-01-16 13:46:51 EST
The code landed in Liberty and is present in OSP 8.

Note You need to log in before you can comment on or make changes to this bug.